-- Replace in-game bales with bales that are less likely to roll away
-- Put together by alfalfa6945

local modDirectory = g_currentModDirectory or ""

local function loadItems(mission, xmlFilename)
	local baleIndices = g_baleManager.bales
	for i = 1, #baleIndices do
		if string.match(baleIndices[i].i3dFilename, "roundbale125.i3d") then
			baleIndices[i].xmlFilename = modDirectory.."Bales/roundbale125.xml"
			baleIndices[i].i3dFilename = modDirectory.."Bales/roundbale125/roundbale125.i3d"
			baleIndices[i].sharedRoot = g_i3DManager:loadSharedI3DFile(baleIndices[i].i3dFilename, nil, false, true)
		end
		if string.match(baleIndices[i].i3dFilename, "roundbale150.i3d") then
			baleIndices[i].xmlFilename = modDirectory.."Bales/roundbale150.xml"
			baleIndices[i].i3dFilename = modDirectory.."Bales/roundbale150/roundbale150.i3d"
			baleIndices[i].sharedRoot = g_i3DManager:loadSharedI3DFile(baleIndices[i].i3dFilename, nil, false, true)
		end
		if string.match(baleIndices[i].i3dFilename, "roundbale180.i3d") then
			baleIndices[i].xmlFilename = modDirectory.."Bales/roundbale180.xml"
			baleIndices[i].i3dFilename = modDirectory.."Bales/roundbale180/roundbale180.i3d"
			baleIndices[i].sharedRoot = g_i3DManager:loadSharedI3DFile(baleIndices[i].i3dFilename, nil, false, true)
		end
	end
end
Mission00.loadItems = Utils.prependedFunction(Mission00.loadItems, loadItems)